Ir al contenido

database_api.list_witness_votes ​

Purpose ​

Devuelve una lista de votos a witness (witness vote). Parámetros: start:array; limit:int; order:string

  • start depende de order (ver más abajo)
  • limit es hasta 1000.
  • order puede ser uno de:
    • by_account_witness - ordenar por cuenta y witness
      • start es un array de dos valores: account, witness
    • by_witness_account - ordenar por witness y cuenta
      • start es un array de dos valores: witness, account

| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["", ""] | 10 | "by_withdraw_route" | Consulta los primeros 10 votos, ordenados por cuenta y witness | | ["", ""] | 10 | "by_destination" | Consulta los primeros 10 votos, ordenados por witness y cuenta |

Véase también: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_witness_votes",
    "params": {
      "start": [
        "",
        ""
      ],
      "limit": 10,
      "order": "by_account_witness"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_witness_votes",
    "params": {
      "start": [
        "",
        ""
      ],
      "limit": 10,
      "order": "by_witness_account"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "votes": [
    {
      "id": 428961,
      "witness": "aggroed",
      "account": "a-0magic"
    }
  ]
}